Bug 188802 - CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
Summary: CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 02:28 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 16:25:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-04-13 02:28:12 UTC
CSS Letter-Spacing Heap Overflow Vulnerability


An  anonymous  researcher for TippingPoint and the Zero Day Initiative
discovered an integer overflow triggered by the CSS letter-spacing property.
This results in in under-allocating memory and ultimately a heap buffer
overflow which could be exploited to run code of the attacker's choice.

The overflow condition itself does not require JavaScript and thus could
affect Thunderbird via received mail, but without scripting to prepare
memory it may not be possible to exploit this condition in mail.

Workaround

Upgrade to the fixed version.

References

[1]ZDI-06-009
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=325403


This issue also affects FC4

Comment 1 Josh Bressers 2006-04-24 12:49:18 UTC
Lifting embargo

Comment 2 David Eisenstein 2006-06-24 16:25:38 UTC
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.


Note You need to log in before you can comment on or make changes to this bug.